Skip to main content
POST
/
projects
/
{projectIdOrName}
/
integrations
/
{integrationId}
Search records
curl --request POST \
  --url https://search.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "objectName": "contact",
  "fieldFilters": [
    {
      "fieldName": "email",
      "operator": "eq",
      "value": "example@example.com"
    }
  ]
}
'
import requests

url = "https://search.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}"

payload = {
"objectName": "contact",
"fieldFilters": [
{
"fieldName": "email",
"operator": "eq",
"value": "example@example.com"
}
]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
objectName: 'contact',
fieldFilters: [{fieldName: 'email', operator: 'eq', value: 'example@example.com'}]
})
};

fetch('https://search.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": [
    {
      "fields": {},
      "mappedFields": {},
      "raw": {}
    }
  ]
}
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required
integrationId
string
required

Query Parameters

groupRef
string
required

The group reference for the search request.

Body

application/json

Search request

objectName
string
required

The name of the object to search.

Example:

"contact"

fieldFilters
FieldFilter · object[]
required

The field filters to apply to the search.

Example:
[
{
"fieldName": "email",
"operator": "eq",
"value": "example@example.com"
}
]

Response

The search results

result
Search Result Entry · object[]